<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.3.433">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">


<title>Assorimentazione del ‘teak’</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1em; /* quarto-specific, see https://github.com/quarto-dev/quarto-cli/issues/4556 */ 
  vertical-align: middle;
}
/* CSS for syntax highlighting */
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
  }
pre.numberSource { margin-left: 3em;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
/* CSS for citations */
div.csl-bib-body { }
div.csl-entry {
  clear: both;
}
.hanging-indent div.csl-entry {
  margin-left:2em;
  text-indent:-2em;
}
div.csl-left-margin {
  min-width:2em;
  float:left;
}
div.csl-right-inline {
  margin-left:2em;
  padding-left:1em;
}
div.csl-indent {
  margin-left: 2em;
}</style>


<script src="Teak_files/libs/clipboard/clipboard.min.js"></script>
<script src="Teak_files/libs/quarto-html/quarto.js"></script>
<script src="Teak_files/libs/quarto-html/popper.min.js"></script>
<script src="Teak_files/libs/quarto-html/tippy.umd.min.js"></script>
<script src="Teak_files/libs/quarto-html/anchor.min.js"></script>
<link href="Teak_files/libs/quarto-html/tippy.css" rel="stylesheet">
<link href="Teak_files/libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="Teak_files/libs/bootstrap/bootstrap.min.js"></script>
<link href="Teak_files/libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="Teak_files/libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">

<script src="Teak_files/libs/kePrint-0.0.1/kePrint.js"></script>
<link href="Teak_files/libs/lightable-0.0.1/lightable.css" rel="stylesheet">


</head>

<body class="fullcontent">

<div id="quarto-content" class="page-columns page-rows-contents page-layout-article">

<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title">Assorimentazione del ‘teak’</h1>
</div>



<div class="quarto-title-meta">

    
  
    
  </div>
  

</header>

<div class="cell">
<div class="sourceCode cell-code" id="cb1"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="co"># recupera lo schema (CSL) per la formattazione della bibliografia</span></span>
<span id="cb1-2"><a href="#cb1-2" aria-hidden="true" tabindex="-1"></a>csl_file <span class="ot">&lt;-</span> <span class="st">"apa-no-ampersand.csl"</span></span>
<span id="cb1-3"><a href="#cb1-3" aria-hidden="true" tabindex="-1"></a><span class="cf">if</span>(<span class="sc">!</span><span class="fu">file.exists</span>(csl_file)) <span class="fu">download.file</span>(<span class="st">"https://raw.githubusercontent.com/citation-style-language/styles/master/apa-no-ampersand.csl"</span>, csl_file)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
<section id="introduzione" class="level1">
<h1>Introduzione</h1>
<p>L’articolo di Koirala et al. <span class="citation" data-cites="koirala2021">(<a href="#ref-koirala2021" role="doc-biblioref">2021</a>)</span> intitolato “Developing taper equations for planted teak (Tectona grandis L.f.) trees of central lowland Nepal” offre spunti per esercizi relativi a ‘funzioni di profilo’ impiegate operativamente.</p>
<p>Introduzione https://rpubs.com/scotti/dyntaper_intro</p>
<p>Koirala, A., Montes, C. R., Bullock, B. P., &amp; Wagle, B. H. (2021). Developing taper equations for planted teak (Tectona grandis L.f.) trees of central lowland Nepal. Trees, Forests and People, 5, 100103. https://doi.org/10.1016/j.tfp.2021.100103</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb2"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="fu">suppressPackageStartupMessages</span>(<span class="fu">library</span>(tidyverse))</span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(kableExtra)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stderr">
<pre><code>
Attaching package: 'kableExtra'</code></pre>
</div>
<div class="cell-output cell-output-stderr">
<pre><code>The following object is masked from 'package:dplyr':

    group_rows</code></pre>
</div>
<div class="sourceCode cell-code" id="cb5"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(dyntaper)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
<p><img src="Teak_files/Tab4_Teak-eq.jpg" class="img-fluid"></p>
<div class="cell">
<div class="sourceCode cell-code" id="cb6"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb6-1"><a href="#cb6-1" aria-hidden="true" tabindex="-1"></a><span class="co"># from Table 4</span></span>
<span id="cb6-2"><a href="#cb6-2" aria-hidden="true" tabindex="-1"></a>teak_taper <span class="ot">&lt;-</span> <span class="cf">function</span>(h, H, D, bh, b) D <span class="sc">*</span> <span class="fu">sqrt</span>(</span>
<span id="cb6-3"><a href="#cb6-3" aria-hidden="true" tabindex="-1"></a> (H <span class="sc">-</span> h  <span class="sc">-</span> b[<span class="dv">1</span>] <span class="sc">+</span> b[<span class="dv">1</span>] <span class="sc">*</span> <span class="fu">exp</span>((<span class="sc">-</span>H<span class="sc">+</span>h)<span class="sc">/</span> b[<span class="dv">1</span>]) <span class="sc">+</span> </span>
<span id="cb6-4"><a href="#cb6-4" aria-hidden="true" tabindex="-1"></a>             b[<span class="dv">2</span>] <span class="sc">*</span> (H <span class="sc">-</span> h)  <span class="sc">*</span> <span class="fu">exp</span>(<span class="sc">-</span>h<span class="sc">/</span> b[<span class="dv">3</span>])) <span class="sc">/</span></span>
<span id="cb6-5"><a href="#cb6-5" aria-hidden="true" tabindex="-1"></a> (H <span class="sc">-</span> bh <span class="sc">-</span> b[<span class="dv">1</span>] <span class="sc">+</span> b[<span class="dv">1</span>] <span class="sc">*</span> <span class="fu">exp</span>((<span class="sc">-</span>H<span class="sc">+</span>bh)<span class="sc">/</span>b[<span class="dv">1</span>]) <span class="sc">+</span> </span>
<span id="cb6-6"><a href="#cb6-6" aria-hidden="true" tabindex="-1"></a>            b[<span class="dv">2</span>] <span class="sc">*</span> (H <span class="sc">-</span> bh) <span class="sc">*</span> <span class="fu">exp</span>(<span class="sc">-</span>bh<span class="sc">/</span>b[<span class="dv">3</span>])) )</span>
<span id="cb6-7"><a href="#cb6-7" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb6-8"><a href="#cb6-8" aria-hidden="true" tabindex="-1"></a>teak_coef <span class="ot">&lt;-</span> <span class="fu">tribble</span>(</span>
<span id="cb6-9"><a href="#cb6-9" aria-hidden="true" tabindex="-1"></a>  <span class="sc">~</span>Parameter, <span class="sc">~</span>Estimate, <span class="sc">~</span>SE, <span class="sc">~</span><span class="st">`</span><span class="at">Pr (&gt; | t |)</span><span class="st">`</span>,  </span>
<span id="cb6-10"><a href="#cb6-10" aria-hidden="true" tabindex="-1"></a>  <span class="st">"b1"</span>,     <span class="fl">6.32107</span>,    <span class="fl">1.34237</span>,    <span class="st">"&lt;0.0001"</span>, </span>
<span id="cb6-11"><a href="#cb6-11" aria-hidden="true" tabindex="-1"></a>  <span class="st">"b2"</span>,     <span class="fl">0.69215</span>,    <span class="fl">0.09038</span>,    <span class="st">"&lt;0.0001"</span>,</span>
<span id="cb6-12"><a href="#cb6-12" aria-hidden="true" tabindex="-1"></a>  <span class="st">"b3"</span>,     <span class="fl">1.49947</span>,    <span class="fl">0.11680</span>,    <span class="st">"&lt;0.0001"</span>,)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
<div class="cell">
<div class="sourceCode cell-code" id="cb7"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb7-1"><a href="#cb7-1" aria-hidden="true" tabindex="-1"></a><span class="co"># from Table 1</span></span>
<span id="cb7-2"><a href="#cb7-2" aria-hidden="true" tabindex="-1"></a>teak_tss <span class="ot">&lt;-</span> <span class="fu">tribble</span>(</span>
<span id="cb7-3"><a href="#cb7-3" aria-hidden="true" tabindex="-1"></a>  <span class="sc">~</span><span class="st">`</span><span class="at">D-class</span><span class="st">`</span>, <span class="sc">~</span><span class="st">`</span><span class="at">No. of Trees</span><span class="st">`</span>, <span class="sc">~</span><span class="st">`</span><span class="at">Class Average Diameter (cm)</span><span class="st">`</span>, <span class="sc">~</span><span class="st">`</span><span class="at">Class Minimum Diameter (cm)</span><span class="st">`</span>, <span class="sc">~</span><span class="st">`</span><span class="at">Class Average Height (m)</span><span class="st">`</span>,     <span class="sc">~</span><span class="st">`</span><span class="at">Class Minimum Height (m)</span><span class="st">`</span> ,</span>
<span id="cb7-4"><a href="#cb7-4" aria-hidden="true" tabindex="-1"></a><span class="st">" 0−10"</span>,   <span class="dv">8</span>,    <span class="fl">7.3</span>,    <span class="fl">6.0</span>,    <span class="fl">9.7</span>,    <span class="fl">7.1</span>, </span>
<span id="cb7-5"><a href="#cb7-5" aria-hidden="true" tabindex="-1"></a><span class="st">"10−20"</span>,     <span class="dv">9</span>,     <span class="fl">14.7</span>,   <span class="fl">10.2</span>,   <span class="fl">13.5</span>,    <span class="fl">9.8</span>, </span>
<span id="cb7-6"><a href="#cb7-6" aria-hidden="true" tabindex="-1"></a><span class="st">"20−30"</span>,     <span class="dv">8</span>,     <span class="fl">27.4</span>,   <span class="fl">21.6</span>,   <span class="fl">17.3</span>,   <span class="fl">14.6</span>, </span>
<span id="cb7-7"><a href="#cb7-7" aria-hidden="true" tabindex="-1"></a><span class="st">"30−40"</span>,     <span class="dv">7</span>,     <span class="fl">36.9</span>,   <span class="fl">31.5</span>,   <span class="fl">23.5</span>,   <span class="fl">20.2</span>, </span>
<span id="cb7-8"><a href="#cb7-8" aria-hidden="true" tabindex="-1"></a><span class="st">"40−50"</span>,     <span class="dv">6</span>,     <span class="fl">45.5</span>,   <span class="fl">40.2</span>,   <span class="fl">25.7</span>,   <span class="fl">22.3</span>, </span>
<span id="cb7-9"><a href="#cb7-9" aria-hidden="true" tabindex="-1"></a><span class="st">"50−60"</span>,     <span class="dv">6</span>,     <span class="fl">54.7</span>,   <span class="fl">50.1</span>,   <span class="fl">27.7</span>,   <span class="fl">23.8</span> )</span>
<span id="cb7-10"><a href="#cb7-10" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb7-11"><a href="#cb7-11" aria-hidden="true" tabindex="-1"></a>teak_tss <span class="sc">|&gt;</span> </span>
<span id="cb7-12"><a href="#cb7-12" aria-hidden="true" tabindex="-1"></a>  <span class="fu">kbl</span>()</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<table data-quarto-postprocess="true" class="table table-sm table-striped small">
<thead>
<tr class="header">
<th style="text-align: left;" data-quarto-table-cell-role="th">D-class</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">No. of Trees</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">Class Average Diameter (cm)</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">Class Minimum Diameter (cm)</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">Class Average Height (m)</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">Class Minimum Height (m)</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">0−10</td>
<td style="text-align: right;">8</td>
<td style="text-align: right;">7.3</td>
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">9.7</td>
<td style="text-align: right;">7.1</td>
</tr>
<tr class="even">
<td style="text-align: left;">10−20</td>
<td style="text-align: right;">9</td>
<td style="text-align: right;">14.7</td>
<td style="text-align: right;">10.2</td>
<td style="text-align: right;">13.5</td>
<td style="text-align: right;">9.8</td>
</tr>
<tr class="odd">
<td style="text-align: left;">20−30</td>
<td style="text-align: right;">8</td>
<td style="text-align: right;">27.4</td>
<td style="text-align: right;">21.6</td>
<td style="text-align: right;">17.3</td>
<td style="text-align: right;">14.6</td>
</tr>
<tr class="even">
<td style="text-align: left;">30−40</td>
<td style="text-align: right;">7</td>
<td style="text-align: right;">36.9</td>
<td style="text-align: right;">31.5</td>
<td style="text-align: right;">23.5</td>
<td style="text-align: right;">20.2</td>
</tr>
<tr class="odd">
<td style="text-align: left;">40−50</td>
<td style="text-align: right;">6</td>
<td style="text-align: right;">45.5</td>
<td style="text-align: right;">40.2</td>
<td style="text-align: right;">25.7</td>
<td style="text-align: right;">22.3</td>
</tr>
<tr class="even">
<td style="text-align: left;">50−60</td>
<td style="text-align: right;">6</td>
<td style="text-align: right;">54.7</td>
<td style="text-align: right;">50.1</td>
<td style="text-align: right;">27.7</td>
<td style="text-align: right;">23.8</td>
</tr>
</tbody>
</table>


</div>
</div>
<div class="cell">
<div class="sourceCode cell-code" id="cb8"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb8-1"><a href="#cb8-1" aria-hidden="true" tabindex="-1"></a>(teak_b <span class="ot">&lt;-</span> teak_coef <span class="sc">|&gt;</span> </span>
<span id="cb8-2"><a href="#cb8-2" aria-hidden="true" tabindex="-1"></a>  <span class="fu">column_to_rownames</span>(<span class="st">"Parameter"</span>) <span class="sc">|&gt;</span> </span>
<span id="cb8-3"><a href="#cb8-3" aria-hidden="true" tabindex="-1"></a>  <span class="fu">select</span>(Estimate) <span class="sc">|&gt;</span> </span>
<span id="cb8-4"><a href="#cb8-4" aria-hidden="true" tabindex="-1"></a>  <span class="fu">as.matrix</span>() <span class="sc">|&gt;</span> </span>
<span id="cb8-5"><a href="#cb8-5" aria-hidden="true" tabindex="-1"></a>   <span class="fu">t</span>())</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code>              b1      b2      b3
Estimate 6.32107 0.69215 1.49947</code></pre>
</div>
<div class="sourceCode cell-code" id="cb10"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb10-1"><a href="#cb10-1" aria-hidden="true" tabindex="-1"></a>teak_profiles <span class="ot">&lt;-</span> teak_tss <span class="sc">|&gt;</span> </span>
<span id="cb10-2"><a href="#cb10-2" aria-hidden="true" tabindex="-1"></a>  <span class="fu">transmute</span>(<span class="at">cld =</span> <span class="st">`</span><span class="at">D-class</span><span class="st">`</span>, </span>
<span id="cb10-3"><a href="#cb10-3" aria-hidden="true" tabindex="-1"></a>            <span class="at">D =</span> <span class="st">`</span><span class="at">Class Average Diameter (cm)</span><span class="st">`</span>, </span>
<span id="cb10-4"><a href="#cb10-4" aria-hidden="true" tabindex="-1"></a>            <span class="at">H =</span> <span class="st">`</span><span class="at">Class Average Height (m)</span><span class="st">`</span>,</span>
<span id="cb10-5"><a href="#cb10-5" aria-hidden="true" tabindex="-1"></a>            <span class="at">profile =</span> <span class="fu">map2</span>(D, H,</span>
<span id="cb10-6"><a href="#cb10-6" aria-hidden="true" tabindex="-1"></a>      <span class="co"># `Class Average Diameter (cm)`,</span></span>
<span id="cb10-7"><a href="#cb10-7" aria-hidden="true" tabindex="-1"></a>      <span class="co"># `Class Average Height (m)`,</span></span>
<span id="cb10-8"><a href="#cb10-8" aria-hidden="true" tabindex="-1"></a>      <span class="cf">function</span>(D, H, b) {</span>
<span id="cb10-9"><a href="#cb10-9" aria-hidden="true" tabindex="-1"></a>        <span class="fu">tibble</span>(</span>
<span id="cb10-10"><a href="#cb10-10" aria-hidden="true" tabindex="-1"></a>          <span class="at">h_sez =</span> <span class="fu">c</span>(<span class="dv">0</span>, .<span class="dv">5</span>, <span class="dv">1</span>, <span class="fl">1.3</span>, <span class="fu">seq</span>(<span class="dv">2</span>, H, <span class="dv">2</span>), H),</span>
<span id="cb10-11"><a href="#cb10-11" aria-hidden="true" tabindex="-1"></a>          <span class="at">d_sez =</span> <span class="fu">teak_taper</span>(h_sez, H, D, <span class="fl">1.3</span>, b))</span>
<span id="cb10-12"><a href="#cb10-12" aria-hidden="true" tabindex="-1"></a>      }, teak_b)</span>
<span id="cb10-13"><a href="#cb10-13" aria-hidden="true" tabindex="-1"></a>      ) <span class="sc">|&gt;</span> </span>
<span id="cb10-14"><a href="#cb10-14" aria-hidden="true" tabindex="-1"></a>  <span class="fu">unnest</span>(<span class="at">cols =</span> <span class="fu">c</span>(profile))</span>
<span id="cb10-15"><a href="#cb10-15" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb10-16"><a href="#cb10-16" aria-hidden="true" tabindex="-1"></a>teak_profiles <span class="sc">|&gt;</span> </span>
<span id="cb10-17"><a href="#cb10-17" aria-hidden="true" tabindex="-1"></a>  <span class="fu">ggplot</span>(<span class="fu">aes</span>(h_sez, d_sez, <span class="at">colour =</span> cld)) <span class="sc">+</span></span>
<span id="cb10-18"><a href="#cb10-18" aria-hidden="true" tabindex="-1"></a>  <span class="fu">geom_line</span>() <span class="sc">+</span></span>
<span id="cb10-19"><a href="#cb10-19" aria-hidden="true" tabindex="-1"></a>  <span class="fu">ggtitle</span>(<span class="st">"Profili di fusti medi per ciascuna classe diametrica"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<p><img src="Teak_files/figure-html/unnamed-chunk-5-1.png" class="img-fluid" width="672"></p>
</div>
</div>
<p>L’equatione adottata in Koirala et al (2015) è quella proposta in Garcia (2015) ed è rappresentata tramite la funzione <code>dyntaper::taper()</code> assegnado il valore zero ai coefficienti <code>b2</code> e <code>b5</code> e traslando gli altri di conseguenza:</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb11"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb11-1"><a href="#cb11-1" aria-hidden="true" tabindex="-1"></a>b <span class="ot">&lt;-</span> <span class="fu">c</span>(teak_b[<span class="dv">1</span>], <span class="dv">0</span>, teak_b[<span class="dv">2</span>], teak_b[<span class="dv">3</span>], <span class="dv">0</span>)</span>
<span id="cb11-2"><a href="#cb11-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb11-3"><a href="#cb11-3" aria-hidden="true" tabindex="-1"></a><span class="co"># statistiche sulle differenze tra le stime prodotte con il pacchetto </span></span>
<span id="cb11-4"><a href="#cb11-4" aria-hidden="true" tabindex="-1"></a><span class="co"># e con la funzione codificata a partire dall'articolo</span></span>
<span id="cb11-5"><a href="#cb11-5" aria-hidden="true" tabindex="-1"></a>teak_profiles <span class="sc">|&gt;</span> </span>
<span id="cb11-6"><a href="#cb11-6" aria-hidden="true" tabindex="-1"></a>  <span class="fu">mutate</span>(<span class="at">d_sez_dt =</span> <span class="fu">taper</span>(h_sez, H, D, b, <span class="fl">1.3</span>),</span>
<span id="cb11-7"><a href="#cb11-7" aria-hidden="true" tabindex="-1"></a>         <span class="at">delta =</span> d_sez <span class="sc">-</span> d_sez_dt) <span class="sc">|&gt;</span> </span>
<span id="cb11-8"><a href="#cb11-8" aria-hidden="true" tabindex="-1"></a>  <span class="fu">select</span>(delta) <span class="sc">|&gt;</span> </span>
<span id="cb11-9"><a href="#cb11-9" aria-hidden="true" tabindex="-1"></a>  <span class="fu">pluck</span>(<span class="dv">1</span>) <span class="sc">|&gt;</span> </span>
<span id="cb11-10"><a href="#cb11-10" aria-hidden="true" tabindex="-1"></a>  <span class="fu">fivenum</span>()</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code>[1] -3.552714e-15  0.000000e+00  0.000000e+00  0.000000e+00  1.421085e-14</code></pre>
</div>
</div>
</section>
<section id="assortimenti" class="level1">
<h1>Assortimenti</h1>
<p>In questo articolo viene sviluppata una funzione di profilo localizzata per tre aree di produzione del teak in Sri Lanca.</p>
<p>Pavithra Rangani Wijenayake,&nbsp;Takuya Hiroshima,&nbsp;Hirokazu Yamamoto,&nbsp;<strong><em>Comparative Study on Commercial Log Production Managed under Different Conditions: Evaluating Plantation Grown Teak of Sri Lanka</em></strong>,&nbsp;Journal of Forest Planning,&nbsp;2019,&nbsp;Volume 25,&nbsp;Issue 2,&nbsp;Pages 27-37, https://doi.org/10.20659/jfp.2019.003, https://www.jstage.jst.go.jp/article/jfp/25/2/25_2019.003/_article/-char/en, https://www.forestplanning.jp/jfp/files/JFP25-2.pdf</p>
<p>L’assortimentazione è infatti uno degli elementi chiave del lavoro e si basa sui sguenti criteri.</p>
<ul>
<li><p><em>“Teak logs, elephant poles, fence posts, and round poles are the main products of teak timber (State Timber Corporation, 2017). The teak log is the raw material for furniture production.”</em></p></li>
<li><p><em>“Teak timber grading ranges from 2–3 m log length as the State Timber Corporation grading standards. Teak logs are categorized and evaluated according to the diameter values of log and the log length depends on the defects and customer requirement at the field, except for super prime logs (3 m or over log length, ≥ 31.8 cm mid diameter, minimum surface and form defects). According to the price manuals of State Timber Corporation, the main commercial diameter values of teak logs of State Timber Corporation are 47.7 cm, 38.2 cm, 31.8 cm, 25.5 cm, 19.7 cm, 12.7 cm and 10.8 cm for teak poles.”</em></p></li>
</ul>
<div class="cell">
<div class="sourceCode cell-code" id="cb13"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb13-1"><a href="#cb13-1" aria-hidden="true" tabindex="-1"></a><span class="co"># Source:</span></span>
<span id="cb13-2"><a href="#cb13-2" aria-hidden="true" tabindex="-1"></a><span class="co"># State Timber Corporation. (2017) </span></span>
<span id="cb13-3"><a href="#cb13-3" aria-hidden="true" tabindex="-1"></a><span class="co"># Annual price list of timber products. Battaramulla, Sri Lanka</span></span>
<span id="cb13-4"><a href="#cb13-4" aria-hidden="true" tabindex="-1"></a>d_testa <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="fl">47.7</span>, <span class="fl">38.2</span>, <span class="fl">31.8</span>, <span class="fl">25.5</span>, <span class="fl">19.7</span>, <span class="fl">12.7</span>, <span class="fl">10.8</span>)  <span class="co"># [cm]</span></span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
</div>
<section id="curve-di-stima-dellaltezza-delle-sezioni-di-testa" class="level2">
<h2 class="anchored" data-anchor-id="curve-di-stima-dellaltezza-delle-sezioni-di-testa">Curve di stima dell’altezza delle sezioni di testa</h2>
<p>Il lavoro fornisce, quale strumento per l’assortimentazione, delle tavole, differenziate per area, che consentono di stimare a che altezza si trova la sezione corrispondente a ciascuno dei diametri minimi indicati dall’agenzia statale per la gestione forestale.</p>
<p>Produrre la tabella relativa alla prima area<br>
(curva ipsometrica: <code>H =  -7.4777 + 7.3159 * log(D)</code> )<br>
utilizzando la funzione di profilo in Koirala et al (2015).</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb14"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb14-1"><a href="#cb14-1" aria-hidden="true" tabindex="-1"></a><span class="fu">tibble</span>(</span>
<span id="cb14-2"><a href="#cb14-2" aria-hidden="true" tabindex="-1"></a>  <span class="at">D =</span> <span class="fu">seq</span>(<span class="dv">20</span>, <span class="dv">55</span>, <span class="dv">5</span>),</span>
<span id="cb14-3"><a href="#cb14-3" aria-hidden="true" tabindex="-1"></a>  <span class="at">H =</span>  <span class="sc">-</span><span class="fl">7.4777</span> <span class="sc">+</span> <span class="fl">7.3159</span> <span class="sc">*</span> <span class="fu">log</span>(D),</span>
<span id="cb14-4"><a href="#cb14-4" aria-hidden="true" tabindex="-1"></a>  <span class="at">h_sez =</span><span class="fu">map2</span>(H, D, <span class="cf">function</span>(H, D) {</span>
<span id="cb14-5"><a href="#cb14-5" aria-hidden="true" tabindex="-1"></a>    <span class="fu">tibble</span>(</span>
<span id="cb14-6"><a href="#cb14-6" aria-hidden="true" tabindex="-1"></a>      <span class="at">d_testa =</span> d_testa,</span>
<span id="cb14-7"><a href="#cb14-7" aria-hidden="true" tabindex="-1"></a>      <span class="at">h_sez_testa =</span> <span class="fu">map_dbl</span>(d_testa, </span>
<span id="cb14-8"><a href="#cb14-8" aria-hidden="true" tabindex="-1"></a>                            <span class="cf">function</span>(h) <span class="fu">hlevel</span>(h, H, D, b, <span class="fl">1.3</span>))</span>
<span id="cb14-9"><a href="#cb14-9" aria-hidden="true" tabindex="-1"></a>    )})</span>
<span id="cb14-10"><a href="#cb14-10" aria-hidden="true" tabindex="-1"></a>  ) <span class="sc">|&gt;</span> </span>
<span id="cb14-11"><a href="#cb14-11" aria-hidden="true" tabindex="-1"></a>  <span class="fu">unnest</span>(<span class="at">cols =</span> <span class="fu">c</span>(h_sez)) <span class="sc">|&gt;</span> </span>
<span id="cb14-12"><a href="#cb14-12" aria-hidden="true" tabindex="-1"></a>  <span class="fu">pivot_wider</span>(<span class="at">names_from =</span> d_testa, <span class="at">values_from =</span> h_sez_testa) <span class="sc">|&gt;</span> </span>
<span id="cb14-13"><a href="#cb14-13" aria-hidden="true" tabindex="-1"></a>  <span class="fu">kbl</span>(<span class="at">digits =</span> <span class="dv">2</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<table data-quarto-postprocess="true" class="table table-sm table-striped small">
<thead>
<tr class="header">
<th style="text-align: right;" data-quarto-table-cell-role="th">D</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">H</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">47.7</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">38.2</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">31.8</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">25.5</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">19.7</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">12.7</th>
<th style="text-align: right;" data-quarto-table-cell-role="th">10.8</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: right;">20</td>
<td style="text-align: right;">14.44</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">0.02</td>
<td style="text-align: right;">1.39</td>
<td style="text-align: right;">5.17</td>
<td style="text-align: right;">6.71</td>
</tr>
<tr class="even">
<td style="text-align: right;">25</td>
<td style="text-align: right;">16.07</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">1.17</td>
<td style="text-align: right;">3.28</td>
<td style="text-align: right;">8.13</td>
<td style="text-align: right;">9.50</td>
</tr>
<tr class="odd">
<td style="text-align: right;">30</td>
<td style="text-align: right;">17.41</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">0.92</td>
<td style="text-align: right;">2.64</td>
<td style="text-align: right;">5.81</td>
<td style="text-align: right;">10.54</td>
<td style="text-align: right;">11.72</td>
</tr>
<tr class="even">
<td style="text-align: right;">35</td>
<td style="text-align: right;">18.53</td>
<td style="text-align: right;">NA</td>
<td style="text-align: right;">0.73</td>
<td style="text-align: right;">2.07</td>
<td style="text-align: right;">4.67</td>
<td style="text-align: right;">8.32</td>
<td style="text-align: right;">12.49</td>
<td style="text-align: right;">13.51</td>
</tr>
<tr class="odd">
<td style="text-align: right;">40</td>
<td style="text-align: right;">19.51</td>
<td style="text-align: right;">0.20</td>
<td style="text-align: right;">1.66</td>
<td style="text-align: right;">3.61</td>
<td style="text-align: right;">7.02</td>
<td style="text-align: right;">10.45</td>
<td style="text-align: right;">14.11</td>
<td style="text-align: right;">15.01</td>
</tr>
<tr class="even">
<td style="text-align: right;">45</td>
<td style="text-align: right;">20.37</td>
<td style="text-align: right;">0.89</td>
<td style="text-align: right;">2.85</td>
<td style="text-align: right;">5.61</td>
<td style="text-align: right;">9.17</td>
<td style="text-align: right;">12.23</td>
<td style="text-align: right;">15.49</td>
<td style="text-align: right;">16.30</td>
</tr>
<tr class="odd">
<td style="text-align: right;">50</td>
<td style="text-align: right;">21.14</td>
<td style="text-align: right;">1.68</td>
<td style="text-align: right;">4.45</td>
<td style="text-align: right;">7.72</td>
<td style="text-align: right;">11.01</td>
<td style="text-align: right;">13.75</td>
<td style="text-align: right;">16.68</td>
<td style="text-align: right;">17.41</td>
</tr>
<tr class="even">
<td style="text-align: right;">55</td>
<td style="text-align: right;">21.84</td>
<td style="text-align: right;">2.68</td>
<td style="text-align: right;">6.36</td>
<td style="text-align: right;">9.61</td>
<td style="text-align: right;">12.59</td>
<td style="text-align: right;">15.06</td>
<td style="text-align: right;">17.73</td>
<td style="text-align: right;">18.40</td>
</tr>
</tbody>
</table>


</div>
</div>
</section>
</section>
<section id="bibliografia" class="level1 unnumbered">


</section>

<div id="quarto-appendix" class="default"><section class="quarto-appendix-contents" role="doc-bibliography"><h2 class="anchored quarto-appendix-heading">Bibliografia</h2><div id="refs" class="references csl-bib-body hanging-indent" data-line-spacing="2" role="list">
<div id="ref-koirala2021" class="csl-entry" role="listitem">
Koirala, A., Montes, C. R., Bullock, B. P., and Wagle, B. H. (2021). Developing taper equations for planted teak (Tectona grandis L.f.) trees of central lowland Nepal. <em>Trees, Forests and People</em>, <em>5</em>, 100103. <a href="https://doi.org/10.1016/j.tfp.2021.100103">https://doi.org/10.1016/j.tfp.2021.100103</a>
</div>
</div></section></div></main>
<!-- /main column -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const isCodeAnnotation = (el) => {
    for (const clz of el.classList) {
      if (clz.startsWith('code-annotation-')) {                     
        return true;
      }
    }
    return false;
  }
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    text: function(trigger) {
      const codeEl = trigger.previousElementSibling.cloneNode(true);
      for (const childEl of codeEl.children) {
        if (isCodeAnnotation(childEl)) {
          childEl.remove();
        }
      }
      return codeEl.innerText;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    let tooltip;
    if (window.bootstrap) {
      button.setAttribute("data-bs-toggle", "tooltip");
      button.setAttribute("data-bs-placement", "left");
      button.setAttribute("data-bs-title", "Copied!");
      tooltip = new bootstrap.Tooltip(button, 
        { trigger: "manual", 
          customClass: "code-copy-button-tooltip",
          offset: [0, -8]});
      tooltip.show();    
    }
    setTimeout(function() {
      if (tooltip) {
        tooltip.hide();
        button.removeAttribute("data-bs-title");
        button.removeAttribute("data-bs-toggle");
        button.removeAttribute("data-bs-placement");
      }
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn) {
    const config = {
      allowHTML: true,
      content: contentFn,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start'
    };
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
      let selectedAnnoteEl;
      const selectorForAnnotation = ( cell, annotation) => {
        let cellAttr = 'data-code-cell="' + cell + '"';
        let lineAttr = 'data-code-annotation="' +  annotation + '"';
        const selector = 'span[' + cellAttr + '][' + lineAttr + ']';
        return selector;
      }
      const selectCodeLines = (annoteEl) => {
        const doc = window.document;
        const targetCell = annoteEl.getAttribute("data-target-cell");
        const targetAnnotation = annoteEl.getAttribute("data-target-annotation");
        const annoteSpan = window.document.querySelector(selectorForAnnotation(targetCell, targetAnnotation));
        const lines = annoteSpan.getAttribute("data-code-lines").split(",");
        const lineIds = lines.map((line) => {
          return targetCell + "-" + line;
        })
        let top = null;
        let height = null;
        let parent = null;
        if (lineIds.length > 0) {
            //compute the position of the single el (top and bottom and make a div)
            const el = window.document.getElementById(lineIds[0]);
            top = el.offsetTop;
            height = el.offsetHeight;
            parent = el.parentElement.parentElement;
          if (lineIds.length > 1) {
            const lastEl = window.document.getElementById(lineIds[lineIds.length - 1]);
            const bottom = lastEl.offsetTop + lastEl.offsetHeight;
            height = bottom - top;
          }
          if (top !== null && height !== null && parent !== null) {
            // cook up a div (if necessary) and position it 
            let div = window.document.getElementById("code-annotation-line-highlight");
            if (div === null) {
              div = window.document.createElement("div");
              div.setAttribute("id", "code-annotation-line-highlight");
              div.style.position = 'absolute';
              parent.appendChild(div);
            }
            div.style.top = top - 2 + "px";
            div.style.height = height + 4 + "px";
            let gutterDiv = window.document.getElementById("code-annotation-line-highlight-gutter");
            if (gutterDiv === null) {
              gutterDiv = window.document.createElement("div");
              gutterDiv.setAttribute("id", "code-annotation-line-highlight-gutter");
              gutterDiv.style.position = 'absolute';
              const codeCell = window.document.getElementById(targetCell);
              const gutter = codeCell.querySelector('.code-annotation-gutter');
              gutter.appendChild(gutterDiv);
            }
            gutterDiv.style.top = top - 2 + "px";
            gutterDiv.style.height = height + 4 + "px";
          }
          selectedAnnoteEl = annoteEl;
        }
      };
      const unselectCodeLines = () => {
        const elementsIds = ["code-annotation-line-highlight", "code-annotation-line-highlight-gutter"];
        elementsIds.forEach((elId) => {
          const div = window.document.getElementById(elId);
          if (div) {
            div.remove();
          }
        });
        selectedAnnoteEl = undefined;
      };
      // Attach click handler to the DT
      const annoteDls = window.document.querySelectorAll('dt[data-target-cell]');
      for (const annoteDlNode of annoteDls) {
        annoteDlNode.addEventListener('click', (event) => {
          const clickedEl = event.target;
          if (clickedEl !== selectedAnnoteEl) {
            unselectCodeLines();
            const activeEl = window.document.querySelector('dt[data-target-cell].code-annotation-active');
            if (activeEl) {
              activeEl.classList.remove('code-annotation-active');
            }
            selectCodeLines(clickedEl);
            clickedEl.classList.add('code-annotation-active');
          } else {
            // Unselect the line
            unselectCodeLines();
            clickedEl.classList.remove('code-annotation-active');
          }
        });
      }
  const findCites = (el) => {
    const parentEl = el.parentElement;
    if (parentEl) {
      const cites = parentEl.dataset.cites;
      if (cites) {
        return {
          el,
          cites: cites.split(' ')
        };
      } else {
        return findCites(el.parentElement)
      }
    } else {
      return undefined;
    }
  };
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const citeInfo = findCites(ref);
    if (citeInfo) {
      tippyHover(citeInfo.el, function() {
        var popup = window.document.createElement('div');
        citeInfo.cites.forEach(function(cite) {
          var citeDiv = window.document.createElement('div');
          citeDiv.classList.add('hanging-indent');
          citeDiv.classList.add('csl-entry');
          var biblioDiv = window.document.getElementById('ref-' + cite);
          if (biblioDiv) {
            citeDiv.innerHTML = biblioDiv.innerHTML;
          }
          popup.appendChild(citeDiv);
        });
        return popup.innerHTML;
      });
    }
  }
});
</script>
</div> <!-- /content -->



</body></html>